# -*- coding: utf8 -*-
import unittest
import sys
sys.path.append('..') 

from imFormatter.HTMLFormatter import HTMLFormatter

class HTMLFormatterTestCase(unittest.TestCase):
	def test_TableFormatting(self):
		formatter = HTMLFormatter()
		self.assertEquals(formatter.table([['1']]), '<table><tr><td>1</td></tr></table>')
		self.assertEquals(formatter.table([['1', '2']]), '<table><tr><td>1</td><td>2</td></tr></table>')
		self.assertEquals(formatter.table([['1'], ['2']]), '<table><tr><td>1</td></tr><tr><td>2</td></tr></table>')

		self.assertEquals(formatter.table([[('left', '1')], ['2']]), '<table><tr><td align="left">1</td></tr><tr><td>2</td></tr></table>')
		self.assertEquals(formatter.table([[('right', '1')], ['2']]), '<table><tr><td align="right">1</td></tr><tr><td>2</td></tr></table>')
		self.assertEquals(formatter.table([[('center', '1')], ['2']]), '<table><tr><td align="center">1</td></tr><tr><td>2</td></tr></table>')

	def test_IndentFormatting(self):
		formatter = HTMLFormatter()
		self.assertEquals(formatter.indent([(1, 'line1'), (-1, '')]), '<div class="indent">line1</div>')

		formatter = HTMLFormatter()
		self.assertEquals(formatter.indent([(1, 'line1'), (2, 'line2'), (-1, 'line3'), (-2, '')]), '<div class="indent">line1<div class="indent"><div class="indent">line2</div>line3</div></div>')


if __name__ == '__main__':
	unittest.main(argv=('', '-v'))
