# -*- coding: utf8 -*-
import unittest
import sys
sys.path.append('..')

from imMacro.TableOfContents import *

class TableOfContentsTestCase(unittest.TestCase):
	def test_Extract(self):
		s = ''
		self.assertEquals(extract(s), [])

		s = '''= Can I ='''
		self.assertEquals(extract(s), [('=', 'Can I')])

		s = '''= Can I =
== Help You =='''
		self.assertEquals(extract(s), [('=', 'Can I'), ('==', 'Help You')])

		s = '''= Can I =
{{{
= Hello =
}}}
== Help You ==
'''
		self.assertEquals(extract(s), [('=', 'Can I'), ('==', 'Help You')])

		s = '''= Can I =
{{{
= Hello =
}}}
== Help You ==
{{{
= World =
}}}
'''
		self.assertEquals(extract(s), [('=', 'Can I'), ('==', 'Help You')])


	def test_toRelativeLevel(self):
		hs = [('=', 'T1'), ('==', 'T2')]
		self.assertEquals(toRelativeLevel(hs), [(1, 'T1'), (1, 'T2')])

		hs = [('=', 'T1'), ('===', 'T2'), ('==', 'T3')]
		self.assertEquals(toRelativeLevel(hs), [(1, 'T1'), (2, 'T2'), (-1, 'T3')])


	def test_Formatting(self):
		L = [(1, 'T1'), (2, 'T2'), (-1, 'T3')]
		self.assert_(formatting(L))

if __name__ == '__main__':
	unittest.main(argv=('', '-v'))
