# -*- coding: utf8 -*-
import unittest
import shutil
import os

from utils import *

class UtilTestCase(unittest.TestCase):
	def test_encodePageName(self):
		self.assertEquals(encode('한글 페이지'), '_ED_95_9C_EA_B8_80_20_ED_8E_98_EC_9D_B4_EC_A7_80')
		self.assertEquals(encode('Page Name'), 'Page_20Name')
	def test_decodePageName(self):
		self.assertEquals(decode('Page_20Name'), 'Page Name')
		self.assertEquals(decode('_ED_95_9C_EA_B8_80_20_ED_8E_98_EC_9D_B4_EC_A7_80'), '한글 페이지')
	def test_nl2br(self):
		s = '\n' * 3
		self.assertEquals(nl2br(s), '<br />'*3)

if __name__ == '__main__':
	unittest.main(argv=('','-v'))


