# -*- coding: utf8 -*-
import os
import unittest

import Request

class RequestTestCase(unittest.TestCase):
	def setUp(self):
		self.scriptName = 'imwiki.cgi'

		os.environ['SCRIPT_NAME'] = self.scriptName
		os.environ['PATH_INFO'] = ''
		#os.environ['REQUEST_URI'] = '/%s/' % self.scriptName
		#os.environ['HTTP_USER_AGENT'] = 'testcode'
		#os.environ['HTTP_ACCEPT_LANGUAGE'] = 'ko'
		Request.Request().init() 
	def test_Singleton(self):
		request = Request.Request()
		request.singletonTest = 1000
		request = Request.Request()
		self.assertEquals(request.singletonTest, 1000)
	def test_RemoteAddr(self):
		request = Request.Request()
		self.assertEquals(request.remoteAddr, '0.0.0.0')
		os.environ['REMOTE_ADDR'] = '127.0.0.1'
		request.init()
		self.assertEquals(request.remoteAddr, '127.0.0.1')

	def test_ScriptName(self):
		request = Request.Request()
		self.assertEquals(request.scriptName, self.scriptName)

	def test_Action(self):
		request = Request.Request()
		self.assertEquals(request.action, 'view')  # Default

		os.environ['QUERY_STRING'] = 'action=write'
		request.init()
		self.assertEquals(request.action, 'write') 

	def test_PageName(self):
		request = Request.Request()
		self.assertEquals(request.pageName, 'FrontPage')  # Default

		os.environ['PATH_INFO'] = 'Help'
		request.init()
		self.assertEquals(request.pageName, 'Help') 

		os.environ['PATH_INFO'] = '/Help'
		request.init()
		self.assertEquals(request.pageName, 'Help') 

	def test_CategoryPath(self):
		request = Request.Request()
		self.assertEquals(request.categoryPath, '')  # Default

		os.environ['PATH_INFO'] = '/Seed/Help'
		request.init()
		self.assertEquals(request.categoryPath, 'Seed') 

		os.environ['PATH_INFO'] = '/Seed/Help/First'
		request.init()
		self.assertEquals(request.categoryPath, 'Seed/Help') 
	def test_ActionPath(self):
		request = Request.Request()
		os.environ['PATH_INFO'] = '/Help'
		request.init()
		self.assertEquals(request.actionPath, 'imwiki.cgi/Help') 

	def test_GetAttrFromForm(self):
		request = Request.Request()
		os.environ['QUERY_STRING'] = 'testKey=testValue'
		request.init()
		self.assertEquals(request.testKey, 'testValue')
		self.assertEquals(request.notExistKey, '')



if __name__ == '__main__':
	unittest.main(argv=('','-v'))

