# -*- coding: utf8 -*-
import unittest
import sha

from User import *
import UserDB

class UserTestCase(unittest.TestCase):
	def setUp(self):
		Repository.createRepository()
	def tearDown(self):
		Repository.removeRepository()

	def test_InitUser(self):
		uid = 'jangc'
		passwd = 'passwd'
		email = 'e@mail.kr'
		userDb = UserDB.UserDB()
		userDb.addUser(uid, passwd, email)

		user = User(uid)
		self.assertEquals(user.uid, uid)
		self.assertEquals(user.passwd, sha.new(passwd).hexdigest())
		self.assertEquals(user.email, email)
	def test_Update(self):
		uid = 'jangc'
		passwd = 'passwd'
		email = 'e@mail.kr'
		userDb = UserDB.UserDB()
		user = userDb.addUser(uid, passwd, email)
			
		self.assertEquals(user.passwd, sha.new(passwd).hexdigest())
		self.assertEquals(user.email, email)
		newPasswd = 'newPasswd'
		newEmail = 'em@ail.com'
		user.update(newPasswd, newEmail)
		self.assertEquals(user.passwd, sha.new(newPasswd).hexdigest())
		self.assertEquals(user.email, newEmail)

		user = userDb.getUser(uid, newPasswd)
		self.assertEquals(user.passwd, sha.new(newPasswd).hexdigest())
		self.assertEquals(user.email, newEmail)

		user.update('', email)
		self.assertEquals(user.passwd, sha.new(newPasswd).hexdigest())
		self.assertEquals(user.email, email)





if __name__ == '__main__':
	unittest.main(argv=('', '-v'))
