# -*- coding: utf8 -*-
import unittest
import config
from IPControl import *

class IPControlTestCase(unittest.TestCase):
	def test_IsBannedIp_RegularExpression(self):
		config.ipPatternIsRegularExpression = True
		config.bannedIpList = ['127\.0\.0\.1']
		self.assert_(isBannedIp('127.0.0.1'))

		config.bannedIpList = ['127\..*\.0\.1']
		self.assert_(isBannedIp('127.0.0.1'))
		self.assert_(isBannedIp('127.120.0.1'))
		self.failIf(isBannedIp('127.120.20.1'))

	def test_IsBannedIp(self):
		config.ipPatternIsRegularExpression = False
		config.bannedIpList = ['127.0.0.1']
		self.assert_(isBannedIp('127.0.0.1'))
		self.failIf(isBannedIp('127.0.0.2'))
		config.bannedIpList = ['127.0.0.1', '127.0.0.2']
		self.assert_(isBannedIp('127.0.0.1'))
		self.assert_(isBannedIp('127.0.0.2'))

	def test_IsBannedIp_WildCharacter(self):
		config.ipPatternIsRegularExpression = False
		config.bannedIpList = ['127.0.0.*']
		self.assert_(isBannedIp('127.0.0.2'))
		self.assert_(isBannedIp('127.0.0.102'))
		self.failIf(isBannedIp('128.0.0.1'))
		self.failIf(isBannedIp('127.0.011.1'))

		config.bannedIpList = ['12?.0.0.1']
		self.assert_(isBannedIp('128.0.0.1'))
		self.assert_(isBannedIp('121.0.0.1'))
		self.failIf(isBannedIp('121.0.0.0'))

if __name__ == '__main__':
	unittest.main(argv=('', '-v'))
