# -*- coding: utf8 -*-
import unittest
import os
import shutil

from Repository import *

class RepositoryTestCase(unittest.TestCase):
	def setUp(self):
		try: shutil.rmtree(config.repositoryPath)
		except: pass

	def tearDown(self):
		try: shutil.rmtree(config.repositoryPath)
		except: pass

	def test_CreateAndRemoveRepository(self):
		self.failIf(os.path.isdir(config.repositoryPath))
		self.assert_(createRepository())
		self.assert_(os.path.isdir(config.repositoryPath))
		pageRepositoryPath = getPageRepository()
		self.assertEquals(pageRepositoryPath, os.path.join(config.repositoryPath, 'text'))
		rootCategoryAttrPath = os.path.join(pageRepositoryPath, '__Attr__') 
		self.assert_(os.path.isfile(rootCategoryAttrPath))
		self.assert_(removeRepository())
		self.failIf(os.path.isdir(config.repositoryPath))



	def test_removeRepository(self):
		self.failIf(os.path.isdir(config.repositoryPath))
		self.assert_(createRepository())
		self.assert_(os.path.isdir(config.repositoryPath))


	
if __name__ == '__main__':
	unittest.main(argv=('', '-v'))
