# -*- coding: utf8 -*-
import unittest
import sys
sys.path.append('..')

from imMacro.TagList import *

def writeMockTag(fileName):
	file(os.path.join(Repository.getTagRepository(), fileName), 'w').write('test')


class TagListTestCase(unittest.TestCase):
	def setUp(self):
		Repository.createRepository()
	def tearDown(self):
		Repository.removeRepository()
	def test_GetTagFiles(self):
		self.assertEquals(getTagFiles(), [])
		writeMockTag('Test')
		self.assertEquals(getTagFiles(), ['Test'])

		writeMockTag('Test2')
		self.assertEquals(getTagFiles(), ['Test', 'Test2'])
	def test_run(self):
		for i in range(10):
			writeMockTag('Test %s' % i)
		self.assert_(run())
		self.assert_(run(['2']))
		self.assert_(run(['20']))


if __name__ == '__main__':
	unittest.main(argv=('', '-v'))
